Name: soundtracker
Version: 0.6.7
Release: alt7

Summary: Sound modules editor/player
License: GPL
Group: Sound

Url: http://www.soundtracker.org/
Source: ftp://ftp.soundtracker.org/pub/soundtracker/v0.6/soundtracker-%version.tar.gz
Source1: %name.menu
Source2: %name-icon.png
Source3: soundtracker.control
Source4: ru.po.bz2

Patch1: %name-%version-cheatsheet-alt.patch.bz2
Patch2: %name-%version-fixmessage-alt.patch
Patch3: %name-%version-plcleanup-alt.patch
Patch4: %name-%version-interpolate-upstream.patch
Patch5: %name-%version-translation-alt.patch.bz2
Patch6: %name-%version-nosuid-alt.patch.bz2
Patch7: st-%version-suva1b.diff.bz2
Patch8: %name-%version-multikeyfix-alt.patch
Patch9: %name-%version-editmodefix-alt.patch
Patch10: %name-%version-permanent-full-alt.patch.bz2
Patch11: %name-%version-spacefix-alt.patch
Patch12: %name-%version-keeptrim-upstream.patch.bz2
Patch13: %name-%version-insdel-alt.patch
Patch14: %name-%version-permanent-makefile-alt.patch
Patch15: %name-%version-midifix-upstream.patch
Patch16: %name-%version-xmloader-upstream.patch
Patch17: %name-%version-desktop-alt.patch

Summary(ru_RU.KOI8-R): / 
Summary(uk_UA.KOI8-U): / ̦

# Automatically added by buildreq on Sat Jan 22 2005
#BuildRequires: esound-devel gdk-pixbuf-devel glib-devel glib2 gnome-libs-devel gtk+-devel imlib-devel jackit-devel libaudiofile-devel libdb1-devel libsndfile-devel pkgconfig xorg-x11-devel xorg-x11-libs
BuildRequires: esound-devel gdk-pixbuf-devel glib-devel gnome-libs-devel gtk+-devel imlib-devel jackit-devel libaudiofile-devel libdb1-devel libsndfile-devel pkgconfig xorg-x11-devel xorg-x11-libs

%description
Soundtracker is a module tracker for the X Window System similar to
the DOS program `FastTracker'. Soundtracker is based on the XM file
format.  The user interface makes use of GTK+, and, optionally, GNOME.

%description -l ru_RU.KOI8-R
Soundtraker --   ,   FastTracker 
  XM.      GTK+ 
GNOME ().

%description -l uk_UA.KOI8-U
Soundtraker -- Ʀ  ̦,    FastTracker 
դ  XM.    צ ¦̦ GTK+ 
GNOME (æ).

%prep
%setup -q
#%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1
%patch15 -p1
%patch16 -p1
%patch17 -p1
%__cp %SOURCE4 po
bunzip -f po/ru.po.bz2

%build
unset CC CXX
%__subst 's,chown,echo &,g' `find -name 'Makefile*'`
%configure
%make_build

%install
%makeinstall
%__install -pD -m644 %SOURCE1 %buildroot%_menudir/%name
%__install -pD -m644 %SOURCE2 %buildroot%_datadir/pixmaps/%name.png
%__install -pD -m755 %SOURCE3 %buildroot%_controldir/%name
%__mkdir_p $RPM_BUILD_ROOT%_datadir/applications
%__install -pD -m644 %name.desktop $RPM_BUILD_ROOT%_datadir/applications

%find_lang %name

%pre
%pre_control %name

%post
%update_menus
%post_control -s normal %name

%postun
%clean_menus

%files -f %name.lang
%_bindir/*
%_menudir/*
%_datadir/pixmaps/*
%_datadir/%name/
%config(noreplace) %_controldir/%name
%doc AUTHORS ChangeLog FAQ NEWS README TODO doc/*.txt
%_datadir/applications/*

%changelog
* Wed May 18 2005 Yury Aliaev <mutabor@altlinux.ru> 0.6.7-alt7
- added two patches from upstream (midi and xm bugfixes)
- Russian translation updated
- desktop entry updated and now it is packed

* Sat Jan 22 2005 Yury Aliaev <mutabor@altlinux.ru> 0.6.7-alt6
- added patches for extra functionality: permanent channels (see
  ChangeLog), improvements in keyboard recording, extra fucntions
  in sample editor

* Wed Jan 19 2005 Yury Aliaev <mutabor@altlinux.ru> 0.6.7-alt5
- removed malicious patch 1 (which works nowhere except my home)
- fixed control(8) issue
- added some extra fixes

* Tue Mar 23 2004 Michael Shigorin <mike@altlinux.ru> 0.6.7-alt4
- worked around #3759, thanks to Yury Aliaev (mutabor@)

* Sun Feb 08 2004 Yury Aliaev <mutabor@altlinux.ru> 0.6.7-alt3
- fixed "mimetype" menu entry

* Wed Jan 21 2004 Michael Shigorin <mike@altlinux.ru> 0.6.7-alt2
- updated buildrequires; hasher build on behalf of Yury Aliaev
- implemented control(8) support (non-privileged by default)
- libtoolize & co 

* Sun Jan 18 2004 Yury Aliaev <mutabor@altlinux.ru> 0.6.7-alt1
- new version + post-release fixes and additions

* Fri Sep 06 2002 Michael Shigorin <mike@altlinux.ru> 0.6.6-alt1
- largely updated ru.po (thanks to Yury Aliaev <mutabor @ catholic org>)

* Wed Jun 05 2002 Michael Shigorin <mike@altlinux.ru> 0.6.6-alt0.2
- new version
- updated ru.po
- removed --disable-alsa from configure

* Thu Dec 27 2001 Michael Shigorin <mike@altlinux.ru> 0.6.4-alt2
- ru.po cleanup

* Fri Oct 12 2001 Michael Shigorin <mike@altlinux.ru> 0.6.4-alt1
- alt1
- spec cleanup
- soundtracker binary no longer suid root by default
- updated ru.po
